cpphlib.PPHWTESTS Class Reference

- Main Page
- Namespaces
- Classes

- Class List
- Class Members

Public Member Functions | Public Attributes
cpphlib.PPHWTESTS Class Reference

Complete hardware tests. More...

List of all members.

## Public Member Functions
def | __init__
| Documentation for method.
def | setdelaybetweenouttests
| Documentation for method.
def | printtocenter
| Documentation for method.
def | runtests
def | test_16_channel_DIGITAL_OUTPUT
def | test_ALPHANUMERIC_LCD_CONTROLLER
| Documentation for method.
def | test_6_channel_RC_SERVO_CONTROLLER
def | test_3_channel_DC_MOTOR_CONTROLLER
| Documentation for method.
def | test_16_channel_DIGITAL_INPUT
def | test_6_channel_ANALOGUE_INPUT
def | test_KEYMX_and_ROTE_CONTROLLER
## Public Attributes
| CAEIF
| IOIF
| IOCG
| BM
| DelayBetwenOutTests
| InputTests
| OutputTests
| stdscr
| width
| height
| stdout

## Detailed Description

Complete hardware tests.

This class is for testing the entire system. It tests every cards on the systembus calling the runtests method. It uses curses screen for testing input cards, this way it makes changes on input channel visible, using a very nice format. The test is not able to check IRRC card, IRRC can be tested by IR receiver setting program.

## Constructor & Destructor Documentation

def cpphlib.PPHWTESTS.__init__ | ( |  | self,
|  |  | CAEIF,
|  |  | IOIF
| ) |  |

Documentation for method.

Constructs PPHWTESTS class.

Parameters:

  CAEIF | CAE interface instance is already connected to ppds.
  IOIF | IO interface instance is already connected to ppds.
      Short description: Constructs PPHWTESTS class

## Member Function Documentation

def cpphlib.PPHWTESTS.printtocenter | ( |  | self,
|  |  | screen,
|  |  | raw,
|  |  | width,
|  |  | text
| ) |  |

Documentation for method.

Inmediate method.

    Short description: Text aligment to the middle

def cpphlib.PPHWTESTS.runtests | ( |  | self | ) |

    Short description: Running tests

def cpphlib.PPHWTESTS.setdelaybetweenouttests | ( |  | self,
|  |  | delay
| ) |  |

Documentation for method.

It sets delay between each tests.

Parameters:

  delay | The pause between each tests in seconds (float number also can be entered fx. 0.01)
      Short description: It sets delay between each tests

def cpphlib.PPHWTESTS.test_16_channel_DIGITAL_INPUT | ( |  | self,
|  |  | addr
| ) |  |

    Short description: Test for 16 channel DIGITAL INPUT cards

def cpphlib.PPHWTESTS.test_16_channel_DIGITAL_OUTPUT | ( |  | self,
|  |  | addr
| ) |  |

    Short description: Test for 16 channel DIGITAL OUTPUT cards

def cpphlib.PPHWTESTS.test_3_channel_DC_MOTOR_CONTROLLER | ( |  | self,
|  |  | addr
| ) |  |

Documentation for method.

If you want to test all motor driver channels please uncomment the respective region in code.

    Short description: Test for 3 channel DC MOTOR CONTROLLER cards

def cpphlib.PPHWTESTS.test_6_channel_ANALOGUE_INPUT | ( |  | self,
|  |  | addr
| ) |  |

    Short description: Test for 6 channel ANALOGUE INPUT cards

def cpphlib.PPHWTESTS.test_6_channel_RC_SERVO_CONTROLLER | ( |  | self,
|  |  | addr
| ) |  |

    Short description: Test for 6 channel RC SERVO CONTROLLER cards

def cpphlib.PPHWTESTS.test_ALPHANUMERIC_LCD_CONTROLLER | ( |  | self,
|  |  | addr
| ) |  |

Documentation for method.

Test can optimize for 20x4 or 20x2 characters LCDs, please comment and uncomment the respective sections in code.

    Short description: Test for ALPHANUMERIC LCD CONTROLLER cards

def cpphlib.PPHWTESTS.test_KEYMX_and_ROTE_CONTROLLER | ( |  | self,
|  |  | addr
| ) |  |

    Short description: Test for KEYMX and ROTE CONTROLLER cards

The documentation for this class was generated from the following file:

- cpphlib.py